Bug 97925 - kill_proc in /etc/init.d/functions doesn't work when there is space in the command name
kill_proc in /etc/init.d/functions doesn't work when there is space in the c...
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-06-24 02:33 EDT by eli morris
Modified: 2014-03-16 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-30 15:06:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description eli morris 2003-06-24 02:33:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
The command killproc 'java -cp /home/ucsc/programs XferClient' (just as an
example.) worked under redhat 7.2 and 7.3, but now it doesn't because the
command contains whitespace in it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Write a program that runs forever. i.e. an endless loop. Name the command
something with whitespace in it. Java programs automatically fit this
description, because the usual execution is 'java program-name'
2.Create init script that starts the program running as a daemon, then stop this
program using 'killproc'
3. Run script

Actual Results:  killproc fails with an error message. 

Expected Results:  Program should successfully die.

Additional info:

Program would start and stop normally under redhat 7.2 and 7.3. The new killproc
function in redhat 9 (maybe 8 also?) doesn't like program names with whitespace
in them, even if qouted. Workaround is to use the functions script from redhat
7.2 for these type of commands.
Comment 1 Bill Nottingham 2005-09-30 15:06:56 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of

Please attempt to reproduce on a current release, such as Fedora Core 4. If this
issue persists, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.